using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.WB;
using APT.MS.Domain.Enums;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.WB
{
    /// <summary>
    /// 导航：附件
    /// </summary>
    [Description("导航：附件")]
    public class T_WB_DANGEROUS_JOB_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 外包工程危险作业表ID
        /// </summary>
        [Description("外包工程危险作业表ID")]
        [DataFieldForeignKey("Nav_Parent", "Nav_Detail")]
        public Guid PARENT_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 调查表")]
        public T_WB_DANGEROUS_JOB Nav_Parent { get; set; }
        /// <summary>
        /// 安全措施
        /// </summary>
        [Description("安全措施")]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string MEASURE { get; set; }

        /// <summary>
        /// 是否涉及
        /// </summary>
        [Description("是否涉及")]
        [FormFieldEdit]
        [EnumName("ISORNOT")]
        public ISORNOT ISORNOT { get; set; }
        /// <summary>
        /// 说明
        /// </summary>
        [Description("说明")]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string REMARK { get; set; }
        /// <summary>
        /// 序号
        /// </summary>
        [Description("序号")]
        [FormFieldEdit]
        public int ROW_NUM { get; set; }
    }
}
